### Signal

# Gtk DropTargetAsync::drop

since: 4.0

#### Declaration

    gboolean
    drop (
      GtkDropTargetAsync* self,
      GdkDrop* drop,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when the user drops the data onto the widget.

The signal handler must determine whether the pointer position is in a drop zone or not. If it is not in a drop zone, it returns `FALSE` and no further processing is necessary.

Otherwise, the handler returns `TRUE`. In this case, this handler will accept the drop. The handler must ensure that `gdk_drop_finish()` is called to let the source know that the drop is done. The call to `gdk_drop_finish()` must only be done when all data has been received.

To receive the data, use one of the read functions provided by `GdkDrop` such as `gdk_drop_read_async()` or `gdk_drop_read_value_async()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`drop`

  Type: `GdkDrop`

  The `GdkDrop`

  The data is owned by the caller of the function.

`x`

  Type: `gdouble`

  The x coordinate of the current pointer position.

`y`

  Type: `gdouble`

  The y coordinate of the current pointer position.

#### Return value

Type: `gboolean`

Whether the drop is accepted at the given pointer position.